Easy AR Not Approved With Play Store Family Policy

+1 vote
asked Feb 14 by kidsspartan (140 points)
Easy AR Take Some identifier from user of unknown age at time auto Initialization.

we have No other SDK in our unity Project.

We tested with Easy Version 3.0.1 , 3.1.0 but Play Store  Not approved. we have Confirm that with Charls Proxy Easy AR send Push Data from Device.

EASYAR  also accept this problem is still there in all License sense SDK up to version 4.3.0 so should we swith to another SDK.

We are using Free License  that provided by EASY AR before 2 Year AGO, but all new version after sense required paid license or subscription.

Still we Don't know if we buy Sense license to use 4.3.0 ,and playstore will not accept this app then it will unused.

Kindly Provide Any solution For this , if you can provide fix for version 3.0.1 or 3.1.0 then it will be great to continue using free.

Thanks

2 Answers

0 votes
answered Feb 14 by kenn (17,610 points)
We have replied through email so we will keep track with you there.

For others who has the same issue, a fix will be available in the incoming 4.5 release. You can still use version 3 if it fit your need, but there will be no update for it.

Send us an email if you want to get a pre-release version before the final release online.
commented Mar 3 by adenio (1,150 points)
I also use the free 3.01 version, but I understand that there will be no updates or fixes. We await the new version. But until then, please guide us on what we can do to solve the problem, until the new version is ready. Is it possible to write a fix in c#, or java?

Thanks
commented Mar 4 by kenn (17,610 points)
That's not an issue you can fix in any source code you get. Please wait for the new version, it will be released very soon.
commented Mar 10 by kenn (17,610 points)
EasyAR Sense 4.5 has been released with this issue fixed. You can find it in the download page.
0 votes
answered Mar 10 by kenn (17,610 points)
EasyAR Sense 4.5 has been released with this issue fixed. You can find it in the download page.
commented Mar 29 by adenio (1,150 points)

The problem persists with EasyAR 4.5!  What can we do? See bellow:

Issue with your app

We’ve identified that your app or an SDK in your app transmits device  identifier(s) from children or users of unknown age that  do not comply with our Families Policy.  These identifiers may include but are not limited to [Build Serial Number]

About Families Policy Requirements

Apps targeting children should not transmit the following from children or users of unknown age: 

    •    SIM Serial

    •    Build Serial

    •    BSSID

    •    MAC

    •    SSID

    •    IMEI and /or IMSI

App status: Rejected

Your app has been rejected and wasn't published due to this policy issue. If you submitted an update, the previous version of your app is still available on Google Play.

commented Mar 29 by kenn (17,610 points)

Same reply in the email,

EasyAR Sense version 4.5 do not violate Google’s family policy. If you still get same error, please

  1. check if EasyAR SDK has been correctly upgraded by checking your project files and adb logs, and
  2. check other parts of your application. There are definitely lots of SDKs did the same thing in the past.
commented Mar 30 by adenio (1,150 points)
Hum... ok. I'll check again, if the upgrade was done correctly.

Thanks for now.
commented 3 days ago by yoelrodguez (120 points)
Hello, I'm having the same problem and I already removed and put the latest version but google keeps rejecting the application.
Thank you
commented 3 days ago by kenn (17,610 points)
edited 3 days ago by kenn
No more advice except those already in the thread. We are 100% sure the version 4.5 itself can pass Google's policy check, please take it as a basic reference and check any other parts of your application.

We are sure about this because we have already received successful notifications from our users, by switching to version 4.5 only.
commented 3 days ago by kenn (17,610 points)
BTW, is there any successful cases to be share here? It looks like words are weak from us only.
commented 2 days ago by kenn (17,610 points)
If anyone come into this thread looking for a solution, can you please first search all your .so files and .class files in the apk using tools like wxMEdit, HxD, UltraEdit or WinHex for string "SERIAL" and "getSerial"  (do not include " in the search)?
commented 2 days ago by adenio (1,150 points)

Hello guys.
In order to be able to launch our Augmented Reality apps on Google Play, where we use EasyAR technology, we were forced to change the age range of the app to 16+, which is absurd as they are apps for children aged 6-8. .
We have 10 apps on the Apple Store and Google Play, some AR, some not. But only AR (EasyAR) apps were blocked by Google. In the Apple Store there was no problem.
I contacted the Unity developers and just like the EasyAR technicians, they said they DO NOT collect any kind of information "forbidden" by google.
We love EasyAR and intend to continue using it, but I believe Google, Unity and EasyAr are not getting along well...

commented 2 days ago by kenn (17,610 points)
Is it possible to send us your apk which is rejected by Google to us to make analyze? We believe our users who told us there apps accepted by Google, and we want to believe users who report the issues recently. So we need a technical judgement at all sides, which may make more sense.
commented 2 days ago by adenio (1,150 points)
edited 2 days ago by adenio
Hello Kenn.
You can download the app directly from Google Play, as linked above.... the last app released is the dinosaur app, which is highlighted. (https://play.google.com/store/apps/dev?id=6990581298124736281&hl=pt)

Thanks for your help!
Welcome to EasyAR SDK Q&A, where you can ask questions and receive answers from other members of the community.
...